package com.cxyxiaomo.epp.access.dao;

import com.cxyxiaomo.epp.common.pojo.AccessLog;
import com.cxyxiaomo.epp.common.query.AccessLogQuery;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

@Mapper
@Repository
public interface AccessLogDao {

    public boolean addAccessLog(AccessLog accessLog);

    public boolean updateAccessLog(AccessLog accessLog);

    public List<AccessLog> getAccessLogList(AccessLogQuery accessLogQuery);

    public boolean deleteAccessLogById(Long gateId);
}
